"use strict";
this.name        = "carriers";
this.author      = "Norby";
this.copyright   = "2014 Norbert Nagy";
this.licence     = "CC BY-NC-SA 4.0";
this.description = "Carriers with open decks.";
this.version     = "0.1";

//customizable properties
/*
this.$CarriersMaxFuelReserve = 50; //in light years
this.$CarriersFuelCost = 3; //credits for each light year fuel
this.$CarriersReFuelDistance = 5000; //m far from the main station
*/

//internal properties, should not touch
//this.$CarriersFuelReserve = 0;
this.$CarriersShip = null; //store the created sunskimmer ship to prevent recreates
this.$CarriersTimer = null;

//world script events
this.startUp = function() {	
//	player.replaceShip("cobra3-carrier-player", 0); //debug: player will start in a Carrier
/*	this.$CarriersFuelReserve = missionVariables.$CarriersFuelReserve;
	if( !this.$CarriersFuelReserve ) this.$CarriersFuelReserve = this.$CarriersMaxFuelReserve;
	this.$CarriersSoundRefuel = new SoundSource;
	this.$CarriersSoundRefuel.sound = "buy.ogg"; //refuel sound
	this.$CarriersSoundRefuel.loop = false;
	this.$CarriersSoundRefuel.repeatCount = 1;	
*/	this.$CarriersTimer = new Timer(this, this.$Carriers_Timed.bind(this), 2, 2);
}

this.playerWillSaveGame = function(message) {
//        missionVariables.$CarriersFuelReserve = this.$CarriersFuelReserve;
}

//Carriers functions
this.$Carriers_Timed = function() {
	var m = system.mainStation;
	if( m && m.isValid && ( !this.$CarriersShip || !this.$CarriersShip.isValid ) ) { //delayed create
		this.$CarriersShip = system.addShips("cobra3-carrier", 1, m.position, 25000)[0];
//		this.$CarriersShip.setAI("nullAI.plist");//debug
	}

}
